NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::DrawBeadBuilder Class Reference

Represents a builder that is used to create or edit a NXOpen::Die::DrawBead feature. More...

Inheritance diagram for NXOpen::Die::DrawBeadBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FemaleDepthTypes { FemaleDepthTypesDerived, FemaleDepthTypesConstant }
 Specifies how the female depth is calculated or defined. More...
 
enum  FemaleWidthTypes { FemaleWidthTypesDerived, FemaleWidthTypesConstant }
 Specifies how the feamle width is calcualted or defined. More...
 
enum  MaleBeadPositionTypes { MaleBeadPositionTypesUpper, MaleBeadPositionTypesLower }
 Identifes which casting the male bead is created in. More...
 
enum  OrientationTypes { OrientationTypesOrthogonal, OrientationTypesVertical }
 Identifies the orientation of the base parameters to the sheet metal. More...
 
enum  OrientSectionToDrawTypes { OrientSectionToDrawTypesDrawDirection, OrientSectionToDrawTypesSheetMetalNormal }
 Specifies if the segment height section parameter should be oriented to the draw direction or the sheet metal normal at the section location. More...
 
enum  OutputTypes { OutputTypesNone, OutputTypesMale, OutputTypesPlusFemale, OutputTypesPlusSheetMetal }
 Specifies what type of output is desired for the feature creation. More...
 
enum  ProjectionDirectionTypes { ProjectionDirectionTypesDrawDirection, ProjectionDirectionTypesNormalToPlacementFace }
 Identifes how the centerline should be projected to the placement face during processing. More...
 
enum  TransitionDefinitionTypes { TransitionDefinitionTypesAutomatic, TransitionDefinitionTypesManual }
 Specifies how the transition area should be determined from segment to segment within a single bead. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance. More...
 
NXOpen::Die::DrawBeadBuilder::OrientationTypes BaseOrientation ()
 Returns the orientation used to construct the sections representing the bead shape. More...
 
bool BuildEndTaper ()
 Returns the indication if the taper at the end of the bead should be built. More...
 
bool BuildStartTaper ()
 Returns the indication if the taper at the start of the bead should be built. More...
 
NXOpen::SectionCenterline ()
 Returns the section containing the centerline of the bead. More...
 
NXOpen::Die::DrawBeadBuilder::ProjectionDirectionTypes CenterlineProjection ()
 Returns the projection method to apply to the centerline to place it on the sewn faces. More...
 
NXOpen::ExpressionClearance ()
 Returns the expression containing the clearance value between the male and female bead sheets. More...
 
NXOpen::Die::DrawBeadSegmentBuilderCreateDrawBeadSegment ()
 Creates a NXOpen::Die::DrawBeadSegmentBuilder builder. More...
 
void CreateSegmentsFromCenterlineCurves ()
 For each curve of the centerline, create a bead segment. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::Die::DieDirectionBuilderDrawDirection ()
 Returns the draw direction. More...
 
NXOpen::Die::DieLocationBuilderEndPoint ()
 Returns the point location defining the end of the centerline. More...
 
NXOpen::Die::DrawBeadTaperBuilderEndTaper ()
 Returns the taper definition at the end of the bead. More...
 
NXOpen::Die::DrawBeadBuilder::FemaleDepthTypes FemaleDepthType ()
 Returns the method used to calculate the female depth. More...
 
NXOpen::ExpressionFemaleDepthValue ()
 Returns the expression containing the female depth value. More...
 
NXOpen::Die::DieAttributesBuilderFemaleFaceAttribute ()
 Returns the attribute definition to be applied to the faces of the female bead sheet body. More...
 
NXOpen::Die::DieAttributesBuilderFemaleSheetAttribute ()
 Returns the attribute definition to be applied to the female bead sheet body. More...
 
NXOpen::Die::DrawBeadBuilder::FemaleWidthTypes FemaleWidthType ()
 Returns the method used to calculate the female width. More...
 
NXOpen::ExpressionFemaleWidthValue ()
 Returns the expression containing the female width value. More...
 
bool GenerateHeightCurve ()
 Returns the indication if the height curve should be generated. More...
 
std::vector< NXStringGetMoreDetails ()
 Get the detailed description strings of the draw bead. More...
 
bool MachineOffset ()
 Returns the indication if the male and female output bodies are to be built with machining. More...
 
NXOpen::Die::DieAttributesBuilderMachiningOffsetTitleAttribute ()
 Returns the title of the real attribute to be applied to the male and female bodies. More...
 
NXOpen::Die::DrawBeadBuilder::MaleBeadPositionTypes MaleBeadPosition ()
 Returns the casting in which to create the male bead. More...
 
NXOpen::Die::DieAttributesBuilderMaleFaceAttribute ()
 Returns the attribute definition to be applied to the faces of the male bead sheet body. More...
 
NXOpen::Die::DieAttributesBuilderMaleSheetAttribute ()
 Returns the attribute definition to be applied to the male bead sheet body. More...
 
NXOpen::ExpressionMetalThickness ()
 Returns the expression containing the sheet metal thickness value. More...
 
NXOpen::Die::DrawBeadBuilder::OrientSectionToDrawTypes OrientSectionToDraw ()
 Returns the method used to orient the section dimensions. More...
 
NXOpen::Die::DrawBeadBuilder::OutputTypes Output ()
 Returns the output to be constructed by the draw bead feature. More...
 
NXOpen::ScCollectorPlacementFace ()
 Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too. More...
 
bool ReferenceDirection ()
 Returns the indication if the "Left" direction for section orientation should be reversed from the default direction. More...
 
bool ReverseMetalThickness ()
 Returns the indication if the thickness of the sheet metal should be the same as the sewn face normals. More...
 
NXOpen::Die::DrawBeadSegmentBuilderListSegmentList ()
 Returns the list of NXOpen::Die::DrawBeadSegmentBuilder defining the bead sections along the centerline. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetBaseOrientation (NXOpen::Die::DrawBeadBuilder::OrientationTypes baseOrientation)
 Sets the orientation used to construct the sections representing the bead shape. More...
 
void SetBuildEndTaper (bool buildEndTaper)
 Sets the indication if the taper at the end of the bead should be built. More...
 
void SetBuildStartTaper (bool buildStartTaper)
 Sets the indication if the taper at the start of the bead should be built. More...
 
void SetCenterlineProjection (NXOpen::Die::DrawBeadBuilder::ProjectionDirectionTypes centerlineProjection)
 Sets the projection method to apply to the centerline to place it on the sewn faces. More...
 
void SetDefaultDrawDirection ()
 Set the default draw direction to the -Z direction of the work coordinate system. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetFemaleDepthType (NXOpen::Die::DrawBeadBuilder::FemaleDepthTypes femaleDepthType)
 Sets the method used to calculate the female depth. More...
 
void SetFemaleWidthType (NXOpen::Die::DrawBeadBuilder::FemaleWidthTypes femaleWidthType)
 Sets the method used to calculate the female width. More...
 
void SetGenerateHeightCurve (bool generateHeightCurve)
 Sets the indication if the height curve should be generated. More...
 
void SetMachineOffset (bool machineOffset)
 Sets the indication if the male and female output bodies are to be built with machining. More...
 
void SetMaleBeadPosition (NXOpen::Die::DrawBeadBuilder::MaleBeadPositionTypes maleBeadPosition)
 Sets the casting in which to create the male bead. More...
 
void SetMoreDetails (std::vector< NXString > &strings)
 Set the detailed description strings of the draw bead. More...
 
void SetOrientSectionToDraw (NXOpen::Die::DrawBeadBuilder::OrientSectionToDrawTypes orientSectionToDraw)
 Sets the method used to orient the section dimensions. More...
 
void SetOutput (NXOpen::Die::DrawBeadBuilder::OutputTypes output)
 Sets the output to be constructed by the draw bead feature. More...
 
void SetReferenceDirection (bool referenceDirection)
 Sets the indication if the "Left" direction for section orientation should be reversed from the default direction. More...
 
void SetReverseMetalThickness (bool reverseMetalThickness)
 Sets the indication if the thickness of the sheet metal should be the same as the sewn face normals. More...
 
void SetTaperBead (bool taperBead)
 Sets the indication if the bead should allow taper to be added to the side walls. More...
 
void SetTransitionDefinition (NXOpen::Die::DrawBeadBuilder::TransitionDefinitionTypes transitionDefinition)
 Sets the method used to build the transition between segments. More...
 
NXOpen::Die::DieAttributesBuilderSheetMetalFaceAttribute ()
 Returns the attribute definition to be applied to the faces of the sheet metal sheet body. More...
 
NXOpen::Die::DieAttributesBuilderSheetMetalSheetAttribute ()
 Returns the attribute definition to be applied to the sheet metal sheet body. More...
 
NXOpen::Die::DieLocationBuilderStartPoint ()
 Returns the point location defining the start of the centerline. More...
 
NXOpen::Die::DrawBeadTaperBuilderStartTaper ()
 Returns the taper definition at the start of the bead. More...
 
bool TaperBead ()
 Returns the indication if the bead should allow taper to be added to the side walls. More...
 
NXOpen::Die::DrawBeadBuilder::TransitionDefinitionTypes TransitionDefinition ()
 Returns the method used to build the transition between segments. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a builder that is used to create or edit a NXOpen::Die::DrawBead feature.


To create a new instance of this class, use NXOpen::Die::DieCollection::CreateDrawBeadBuilder
Default values.

Property Value

BaseOrientation

Vertical

BuildEndTaper

1

BuildStartTaper

1

CenterlineProjection

DrawDirection

Clearance.Value

0.2 (millimeters part), 0.008 (inches part)

EndPoint.InputType

SelectLocation

EndTaper.TaperRadius.Value

90 (millimeters part), 3.8 (inches part)

EndTaper.TaperType

Spherical

EndTaper.TaperWashoutHeight.Value

10 (millimeters part), 0.4 (inches part)

EndTaper.TaperWashoutLength.Value

50 (millimeters part), 2 (inches part)

FemaleDepthType

Derived

FemaleDepthValue.Value

11 (millimeters part), 0.43 (inches part)

FemaleWidthType

Derived

FemaleWidthValue.Value

12.4 (millimeters part), 0.488 (inches part)

GenerateHeightCurve

0

MachineOffset

0

MaleBeadPosition

Upper

MetalThickness.Value

1 (millimeters part), 0.04 (inches part)

OrientSectionToDraw

DrawDirection

Output

Male

TaperBead

0

TransitionDefinition

Automatic


Created in NX7.5.0.

Member Enumeration Documentation

Specifies how the female depth is calculated or defined.

Enumerator
FemaleDepthTypesDerived 

The female depth is derived from the male bead (Max Male Depth + Constant).

FemaleDepthTypesConstant 

The female depth is a user specified constant.

Specifies how the feamle width is calcualted or defined.

Enumerator
FemaleWidthTypesDerived 

The female width is derived from the male (Male Width + 2(Sheet Metal Thickness + Clearance)).

FemaleWidthTypesConstant 

The female width is a user specified constant.

Identifes which casting the male bead is created in.

Enumerator
MaleBeadPositionTypesUpper 

Attach the male bead to the upper die casting.

MaleBeadPositionTypesLower 

Attach the male bead to the lower die casting.

Identifies the orientation of the base parameters to the sheet metal.

Enumerator
OrientationTypesOrthogonal 

The width and angle parameters are orthogonal, or normal, to the sheet metal normal at the section location.

OrientationTypesVertical 

The width and angle parameters are oriented along the draw direction at the section location.

Specifies if the segment height section parameter should be oriented to the draw direction or the sheet metal normal at the section location.

Enumerator
OrientSectionToDrawTypesDrawDirection 

Orient height parameter to the draw direction.

OrientSectionToDrawTypesSheetMetalNormal 

Orient height parameter to the sheet metal normal at the section location.

Specifies what type of output is desired for the feature creation.

Enumerator
OutputTypesNone 

Creates a small sphere on the centerline.

OutputTypesMale 

Creates the male bead only.

OutputTypesPlusFemale 

Creates the male and female bead.

OutputTypesPlusSheetMetal 

Creates the male, female and sheet metal bead.

Identifes how the centerline should be projected to the placement face during processing.

Enumerator
ProjectionDirectionTypesDrawDirection 

Project the centerline along the draw direction vector.

ProjectionDirectionTypesNormalToPlacementFace 

Project the centerline along the placement face normal.

Specifies how the transition area should be determined from segment to segment within a single bead.

Enumerator
TransitionDefinitionTypesAutomatic 

Shorten the bead segment that has the lowest height.

TransitionDefinitionTypesManual 

User specified start and end segments so transition areas are fully defined.

Member Function Documentation

double NXOpen::Die::DrawBeadBuilder::AngleTolerance ( )

Returns the angle tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::OrientationTypes NXOpen::Die::DrawBeadBuilder::BaseOrientation ( )

Returns the orientation used to construct the sections representing the bead shape.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::BuildEndTaper ( )

Returns the indication if the taper at the end of the bead should be built.

True indicates that the taper at the end of the bead should be created.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::BuildStartTaper ( )

Returns the indication if the taper at the start of the bead should be built.

True indicates that the taper at the start of the bead should be created.
Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Die::DrawBeadBuilder::Centerline ( )

Returns the section containing the centerline of the bead.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::ProjectionDirectionTypes NXOpen::Die::DrawBeadBuilder::CenterlineProjection ( )

Returns the projection method to apply to the centerline to place it on the sewn faces.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadBuilder::Clearance ( )

Returns the expression containing the clearance value between the male and female bead sheets.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadSegmentBuilder* NXOpen::Die::DrawBeadBuilder::CreateDrawBeadSegment ( )

Creates a NXOpen::Die::DrawBeadSegmentBuilder builder.

Returns

Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::DrawBeadBuilder::CreateSegmentsFromCenterlineCurves ( )

For each curve of the centerline, create a bead segment.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::DrawBeadBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieDirectionBuilder* NXOpen::Die::DrawBeadBuilder::DrawDirection ( )

Returns the draw direction.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieLocationBuilder* NXOpen::Die::DrawBeadBuilder::EndPoint ( )

Returns the point location defining the end of the centerline.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadTaperBuilder* NXOpen::Die::DrawBeadBuilder::EndTaper ( )

Returns the taper definition at the end of the bead.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::FemaleDepthTypes NXOpen::Die::DrawBeadBuilder::FemaleDepthType ( )

Returns the method used to calculate the female depth.

Only valid when taper bead is false.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadBuilder::FemaleDepthValue ( )

Returns the expression containing the female depth value.

Only valid when taper bead is false and type is NXOpen::Die::DrawBeadBuilder::FemaleDepthTypesConstant .
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::FemaleFaceAttribute ( )

Returns the attribute definition to be applied to the faces of the female bead sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::FemaleSheetAttribute ( )

Returns the attribute definition to be applied to the female bead sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::FemaleWidthTypes NXOpen::Die::DrawBeadBuilder::FemaleWidthType ( )

Returns the method used to calculate the female width.

Changing this will affect all segments. Only valid when taper bead is false.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadBuilder::FemaleWidthValue ( )

Returns the expression containing the female width value.

Only valid when taper bead is false and type is NXOpen::Die::DrawBeadBuilder::FemaleWidthTypesConstant .
Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::GenerateHeightCurve ( )

Returns the indication if the height curve should be generated.

True if the height curve should be generated and kept.
Created in NX7.5.0.

License requirements : None

std::vector<NXString> NXOpen::Die::DrawBeadBuilder::GetMoreDetails ( )

Get the detailed description strings of the draw bead.

Returns
Array of detail strings.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
bool NXOpen::Die::DrawBeadBuilder::MachineOffset ( )

Returns the indication if the male and female output bodies are to be built with machining.

Only valid when taper bead is true.
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::MachiningOffsetTitleAttribute ( )

Returns the title of the real attribute to be applied to the male and female bodies.

The value of the attribute specifies the machining offset value to be applied. The value is derived during feature construction.
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::MaleBeadPositionTypes NXOpen::Die::DrawBeadBuilder::MaleBeadPosition ( )

Returns the casting in which to create the male bead.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::MaleFaceAttribute ( )

Returns the attribute definition to be applied to the faces of the male bead sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::MaleSheetAttribute ( )

Returns the attribute definition to be applied to the male bead sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadBuilder::MetalThickness ( )

Returns the expression containing the sheet metal thickness value.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::OrientSectionToDrawTypes NXOpen::Die::DrawBeadBuilder::OrientSectionToDraw ( )

Returns the method used to orient the section dimensions.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::OutputTypes NXOpen::Die::DrawBeadBuilder::Output ( )

Returns the output to be constructed by the draw bead feature.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Die::DrawBeadBuilder::PlacementFace ( )

Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::ReferenceDirection ( )

Returns the indication if the "Left" direction for section orientation should be reversed from the default direction.

The default direction is determined by the cross of the centerline tangency and the draw direction. True indicates that the default calculation should be reversed.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::ReverseMetalThickness ( )

Returns the indication if the thickness of the sheet metal should be the same as the sewn face normals.

True indicates that the sheet will be thickened in the same direction as the sewn face normals.
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadSegmentBuilderList* NXOpen::Die::DrawBeadBuilder::SegmentList ( )

Returns the list of NXOpen::Die::DrawBeadSegmentBuilder defining the bead sections along the centerline.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::DrawBeadBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angleToleranceangletolerance
void NXOpen::Die::DrawBeadBuilder::SetBaseOrientation ( NXOpen::Die::DrawBeadBuilder::OrientationTypes  baseOrientation)

Sets the orientation used to construct the sections representing the bead shape.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
baseOrientationbaseorientation
void NXOpen::Die::DrawBeadBuilder::SetBuildEndTaper ( bool  buildEndTaper)

Sets the indication if the taper at the end of the bead should be built.

True indicates that the taper at the end of the bead should be created.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
buildEndTaperbuildendtaper
void NXOpen::Die::DrawBeadBuilder::SetBuildStartTaper ( bool  buildStartTaper)

Sets the indication if the taper at the start of the bead should be built.

True indicates that the taper at the start of the bead should be created.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
buildStartTaperbuildstarttaper
void NXOpen::Die::DrawBeadBuilder::SetCenterlineProjection ( NXOpen::Die::DrawBeadBuilder::ProjectionDirectionTypes  centerlineProjection)

Sets the projection method to apply to the centerline to place it on the sewn faces.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
centerlineProjectioncenterlineprojection
void NXOpen::Die::DrawBeadBuilder::SetDefaultDrawDirection ( )

Set the default draw direction to the -Z direction of the work coordinate system.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::DrawBeadBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Die::DrawBeadBuilder::SetFemaleDepthType ( NXOpen::Die::DrawBeadBuilder::FemaleDepthTypes  femaleDepthType)

Sets the method used to calculate the female depth.

Only valid when taper bead is false.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
femaleDepthTypefemaledepthtype
void NXOpen::Die::DrawBeadBuilder::SetFemaleWidthType ( NXOpen::Die::DrawBeadBuilder::FemaleWidthTypes  femaleWidthType)

Sets the method used to calculate the female width.

Changing this will affect all segments. Only valid when taper bead is false.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
femaleWidthTypefemalewidthtype
void NXOpen::Die::DrawBeadBuilder::SetGenerateHeightCurve ( bool  generateHeightCurve)

Sets the indication if the height curve should be generated.

True if the height curve should be generated and kept.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
generateHeightCurvegenerateheightcurve
void NXOpen::Die::DrawBeadBuilder::SetMachineOffset ( bool  machineOffset)

Sets the indication if the male and female output bodies are to be built with machining.

Only valid when taper bead is true.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
machineOffsetmachineoffset
void NXOpen::Die::DrawBeadBuilder::SetMaleBeadPosition ( NXOpen::Die::DrawBeadBuilder::MaleBeadPositionTypes  maleBeadPosition)

Sets the casting in which to create the male bead.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
maleBeadPositionmalebeadposition
void NXOpen::Die::DrawBeadBuilder::SetMoreDetails ( std::vector< NXString > &  strings)

Set the detailed description strings of the draw bead.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
stringsArray of detail strings.
void NXOpen::Die::DrawBeadBuilder::SetOrientSectionToDraw ( NXOpen::Die::DrawBeadBuilder::OrientSectionToDrawTypes  orientSectionToDraw)

Sets the method used to orient the section dimensions.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
orientSectionToDraworientsectiontodraw
void NXOpen::Die::DrawBeadBuilder::SetOutput ( NXOpen::Die::DrawBeadBuilder::OutputTypes  output)

Sets the output to be constructed by the draw bead feature.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
outputoutput
void NXOpen::Die::DrawBeadBuilder::SetReferenceDirection ( bool  referenceDirection)

Sets the indication if the "Left" direction for section orientation should be reversed from the default direction.

The default direction is determined by the cross of the centerline tangency and the draw direction. True indicates that the default calculation should be reversed.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
referenceDirectionreferencedirection
void NXOpen::Die::DrawBeadBuilder::SetReverseMetalThickness ( bool  reverseMetalThickness)

Sets the indication if the thickness of the sheet metal should be the same as the sewn face normals.

True indicates that the sheet will be thickened in the same direction as the sewn face normals.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reverseMetalThicknessreversemetalthickness
void NXOpen::Die::DrawBeadBuilder::SetTaperBead ( bool  taperBead)

Sets the indication if the bead should allow taper to be added to the side walls.

Changing this will affect all segments and may affect the transition definition and output.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
taperBeadtaperbead
void NXOpen::Die::DrawBeadBuilder::SetTransitionDefinition ( NXOpen::Die::DrawBeadBuilder::TransitionDefinitionTypes  transitionDefinition)

Sets the method used to build the transition between segments.

Changing this will affect all segments.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
transitionDefinitiontransitiondefinition
NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::SheetMetalFaceAttribute ( )

Returns the attribute definition to be applied to the faces of the sheet metal sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::DrawBeadBuilder::SheetMetalSheetAttribute ( )

Returns the attribute definition to be applied to the sheet metal sheet body.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieLocationBuilder* NXOpen::Die::DrawBeadBuilder::StartPoint ( )

Returns the point location defining the start of the centerline.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadTaperBuilder* NXOpen::Die::DrawBeadBuilder::StartTaper ( )

Returns the taper definition at the start of the bead.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadBuilder::TaperBead ( )

Returns the indication if the bead should allow taper to be added to the side walls.

Changing this will affect all segments and may affect the transition definition and output.
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadBuilder::TransitionDefinitionTypes NXOpen::Die::DrawBeadBuilder::TransitionDefinition ( )

Returns the method used to build the transition between segments.

Changing this will affect all segments.
Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.